Generate Upload URL - m3ter Documentation

Generate Upload URL

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/fileuploads/measurements/generateUploadUrl \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fileName": "<string>",
  "contentLength": 536870912
}'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/fileuploads/measurements/generateUploadUrl"

payload = {
    "fileName": "<string>",
    "contentLength": 536870912
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({fileName: '<string>', contentLength: 536870912})
};

fetch('https://api.m3ter.com/organizations/{orgId}/fileuploads/measurements/generateUploadUrl', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

Success (200)

{
  "jobId": "<string>",
  "url": "<string>",
  "headers": {}
}

Error Responses (4XX, 5XX)

{
  "message": "<string>"
}

Authorizations

Authorization
(string, required)
Machine to machine authentication using the clientCredentials OAuth2 flow.

Path Parameters

Body

Required Fields

Response

Returns the upload URL and jobId.